SELECT
  TD_TIME_FORMAT(time, 'yyyy-MM-dd HH:00:00', 'JST') AS hour,
  COUNT(time) AS cnt
FROM
  sample_datasets.www_access
WHERE
  TD_TIME_RANGE(time, '2014-10-03 00:00:00', '2014-10-05 00:00:00', 'JST')
GROUP BY
  TD_TIME_FORMAT(time, 'yyyy-MM-dd HH:00:00', 'JST')
ORDER BY
  hour;
