# WEB+DB PRESS Vol.102 連載「実践！ 先進的インフラ運用」サンプルコード

技術評論社刊「WEB+DB PRESS Vol.102」の連載「実践！ 先進的インフラ運用」第4回「サービス改善につながるログ活用基盤の構築」（三宅 悠介著）のサンプルコードです。

## 各種ミドルウェアの設定

FluentdやRackミドルウェアの設定をそれぞれ`etc`、`config`として配置パス構成にあわせたディレクトリに格納しています。

## ワークフローの設定

PendulumやTreasure Workflowの設定をそれぞれ誌面で紹介したファイル名となっています。

## HiveQLのクエリ

誌面で紹介したクエリを`queries`ディレクトリに格納しています。

## アクセス頻度予測モデルのサンプルコード

LSTMを用いたアクセス頻度予測モデルのサンプルコードを`LSTM`ディレクトリに格納しています。
`account_count.hql`で学習データとなる時間ごとのアクセス頻度を取得し、`lstm.py`でアクセス頻度予測モデルの学習とテストデータによる予測を行います。

誌面でも触れましたが、今回の環境で利用するデータセットでは学習に十分なアクセス履歴を確保できません。実際にログ基盤を運用しアクセス履歴が蓄積されたあと、ぜひサンプルコードを参考に予測に取り組んでみてください。
